MMC:CFG_1.0::
#
WM_PROGRAMMABLE_KEYS:
-name P1 -type NONE -connection "" -function ""
-name P2 -type NONE -connection "" -function ""
-name P3 -type NONE -connection "" -function ""
-name P4 -type NONE -connection "" -function ""
-name P5 -type NONE -connection "" -function ""
MMC_TYPE:
-domain_type WM_PROGRAMMABLE_KEYS -text_id 1,99 \ 
-attributes_id -attributes_id_hook wm_prog_attributes_id \
-outline_type WM_PROGRAMMABLE_KEYS_OUTLINE \
-outline_inst_name wm_programmable_keys_outline
WM_PROGRAMMABLE_KEYS_OUTLINE = MMC_OUTLINE:
-Name wm_programmable_keys_outline -dsp_parms 1,2,3 -header_id 1,100

WM_NO_PROGRAMMABLE_KEYS_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id name  -text_id 1,101 -present_type SIMPLE \
  -change_type NONE
-attribute_id type  -text_id 1,102 -present_type SIMPLE \
  -change_type NONE
-attribute_id connection  -text_id 1,103 -present_type SIMPLE \
  -change_type NONE 

WM_N_TYPE_PROGRAMMABLE_KEYS_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id name  -text_id 1,101 -present_type SIMPLE \
  -change_type NONE
-attribute_id type  -text_id 1,102 -present_type SIMPLE \
  -change_type CHOICE_LIST -choices_type_name WM_PROGRAMMABLE_KEYS_TYPE
-attribute_id connection  -text_id 1,103 -present_type SIMPLE \
  -change_type NONE 

WM_PROGRAMMABLE_INPUT_KEYS_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id name  -text_id 1,101 -present_type SIMPLE \
  -change_type NONE
-attribute_id type  -text_id 1,102 -present_type SIMPLE \
  -change_type CHOICE_LIST -choices_type_name WM_PROGRAMMABLE_KEYS_TYPE
-attribute_id connection  -text_id 1,103 -present_type SIMPLE \
  -change_type CHOICE_INSTANCE_BY_METHOD \
  -choice_method wm_hic_input_signals 

WM_PROGRAMMABLE_OUTPUT_KEYS_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id name  -text_id 1,101 -present_type SIMPLE \
  -change_type NONE
-attribute_id type  -text_id 1,102 -present_type SIMPLE \
  -change_type CHOICE_LIST -choices_type_name WM_PROGRAMMABLE_KEYS_TYPE
-attribute_id connection  -text_id 1,103 -present_type SIMPLE \
  -change_type CHOICE_INSTANCE_BY_METHOD \
  -choice_method wm_hic_output_signals 
-attribute_id function  -text_id 1,104 -present_type SIMPLE \
  -change_type CHOICE_LIST \
  -choices_type_name WM_PROGRAMMABLE_KEYS_OUTPUT_FUNCTION
-attribute_id auto  -text_id 1,128  -present_type SIMPLE \
  -change_type FKBAR  -fkbar_id WM_PROGRAMMABLE_KEYS_OUTPUT_AUTO

WM_PROGRAMMABLE_KEYS_TYPE = MMC_CHOICE:
-text_id 1,105 -setcode NONE
-text_id 1,107 -setcode OUTPUT

WM_PROGRAMMABLE_KEYS_INPUT_FUNCTION = MMC_CHOICE:
-text_id 1,108 -setcode INTERRUPT
WM_PROGRAMMABLE_KEYS_OUTPUT_FUNCTION = MMC_CHOICE:
-text_id 1,109 -setcode TOGGLE
-text_id 1,110 -setcode SET0
-text_id 1,111 -setcode SET1
-text_id 1,112 -setcode PRESS
-text_id 1,113 -setcode PULSE
WM_PROGRAMMABLE_KEYS_OUTPUT_AUTO = MMC_FKEY:
-text_id 1,31 -fktype SETA -setcode "1"
-text_id 1,32 -fktype SETA -setcode "0"
